from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

with open("requirements.txt", "r", encoding="utf-8") as fh:
    requirements = [
        line.strip() for line in fh if line.strip() and not line.startswith("#")
    ]

version = {}
with open("src/__init__.py") as fp:
    exec(fp.read(), version)

setup(
    name="raw_docx",
    version=version["__package_version__"],
    author="Dave Berson-Hurst",
    author_email="",
    description="A package for processing and analyzing raw document formats",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/daveih/raw_docx",
    packages=find_packages(where="src"),
    package_dir={"": "src"},
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
    python_requires=">=3.8",
    install_requires=requirements,
)
